package com.sqx.modules.resumes.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.resumes.entity.PostPush;
import com.sqx.modules.resumes.vo.CityVo;
import com.sqx.modules.resumes.vo.LetterCity;

import java.util.List;

public interface PostPushService extends IService<PostPush> {

    Result savePostPush(PostPush postPush,Long userId);



    Result deletePostPush(Long userId, Long postPushId);

    Result auditPostPush(String ids,String content,Integer status);


    PostPush selectPostPushDetails(Long userId, Long postPushId, Double lng, Double lat);


    Result closeOrOpen(Long userId, Long postPushId);

    /**
     *
     * @param userId
     * @param postPushId
     * @param type 1表示是管理端取消 2是用户取消
     * @return
     */
    Result cancelPostPush(Long userId, Long postPushId, int type);

    Result getPostPushList(Integer page, Integer limit, Double lng, Double lat, Long userId, PostPush postPush, Integer screen,Integer isDue);

    List<LetterCity> getCityList(String city);

    List<String> getCountyByCity(String city);

    List<String> getHotCity(Integer limitCount);

    List<CityVo> getCityCounty();

    List<String> getCityCompanyId(Long companyId);

    List<String> getCompanyClassify(Long companyId);

    Result refreshPostPush(Long userId);

    IPage<PostPush> getAdminPostPushList(Integer page, Integer limit, PostPush postPush, String startTime, String endTime);

    List<PostPush> listPostPushByCompanyId(Long companyId);

    List<Object> getHotPost();
}
